Author: Dale Richards <dale@dalerichards.net>
Last-Update: 2023-12-30
Description: Disable SSL tests
 Disable tests that require SSL to be disabled, since
 SSL is enforced in default installs of PostgreSQL in
 Debian.
Forwarded: not-needed

---
 tests/test_classic_connection.py | 2 ++
 tests/test_classic_dbwrapper.py  | 2 ++
 2 files changed, 4 insertions(+)

--- a/tests/test_classic_connection.py
+++ b/tests/test_classic_connection.py
@@ -187,11 +187,13 @@
         self.assertIsInstance(backend_pid, int)
         self.assertGreaterEqual(backend_pid, 1)
 
+    @unittest.SkipTest
     def test_attribute_ssl_in_use(self):
         ssl_in_use = self.connection.ssl_in_use
         self.assertIsInstance(ssl_in_use, bool)
         self.assertFalse(ssl_in_use)
 
+    @unittest.SkipTest
     def test_attribute_ssl_attributes(self):
         ssl_attributes = self.connection.ssl_attributes
         self.assertIsInstance(ssl_attributes, dict)
--- a/tests/test_classic_dbwrapper.py
+++ b/tests/test_classic_dbwrapper.py
@@ -182,11 +182,13 @@
         self.assertIsInstance(backend_pid, int)
         self.assertGreaterEqual(backend_pid, 1)
 
+    @unittest.SkipTest
     def test_attribute_ssl_in_use(self):
         ssl_in_use = self.db.ssl_in_use
         self.assertIsInstance(ssl_in_use, bool)
         self.assertFalse(ssl_in_use)
 
+    @unittest.SkipTest
     def test_attribute_ssl_attributes(self):
         ssl_attributes = self.db.ssl_attributes
         self.assertIsInstance(ssl_attributes, dict)
